-- Automatically generated by Gerwin
--
-- Project DBOncoCardiology
-- From file: /d/jdomingo/PAPERS/OURS/BDANGELA/DEFBD/ferret-0.7/DBOnco.ger
-- By: Angela Riffo, Esther Dura, Juan Domingo
--
-- Using output format: mysql



CREATE TABLE Gene (
      IdGeneEntrez     int NOT NULL,
      IdGeneSymbol     varchar(100)
);


ALTER TABLE Gene ADD PRIMARY KEY (IdGeneEntrez);



CREATE TABLE GeneTranscript (
      IdGeneTranscript     varchar(100) NOT NULL
);


ALTER TABLE GeneTranscript ADD PRIMARY KEY (IdGeneTranscript);



CREATE TABLE Pathology (
      IdPathologyCD10     varchar(10) NOT NULL,
      Name     varchar(250)
);


ALTER TABLE Pathology ADD PRIMARY KEY (IdPathologyCD10);



CREATE TABLE Synonym (
      IdSynonym     varchar(50)-collate-utf8mb4_nopad_bin NOT NULL,
      IdGeneEntrez     int NOT NULL
);


ALTER TABLE Synonym ADD PRIMARY KEY (IdSynonym);



CREATE TABLE VariationType (
      VariationTypeName     varchar(40) NOT NULL
);


ALTER TABLE VariationType ADD PRIMARY KEY (VariationTypeName);



CREATE TABLE Variation (
      IdVariation     varchar(45) NOT NULL,
      IdGeneEntrez     int,
      VariationTypeName     varchar(40) NOT NULL,
      IdGenomeFullPosition     int NOT NULL
);


ALTER TABLE Variation ADD PRIMARY KEY (IdVariation);



CREATE TABLE GenomeFullPosition (
      IdGenomeFullPosition     int NOT NULL,
      GenomeVersionName     varchar(100),
      StartPosition     varchar(100),
      EndPosition     varchar(100)
);


ALTER TABLE GenomeFullPosition ADD PRIMARY KEY (IdGenomeFullPosition);



CREATE TABLE PanelKitName (
      IdPanelKitName     varchar(45) NOT NULL,
      Company     varchar(45),
      IdVariation     varchar(45) NOT NULL
);


ALTER TABLE PanelKitName ADD PRIMARY KEY (IdPanelKitName);



CREATE TABLE Drug (
      IdDrugATC     varchar(8) NOT NULL,
      DrugName     varchar(128)
);


ALTER TABLE Drug ADD PRIMARY KEY (IdDrugATC);



CREATE TABLE Study (
      IdStudy     int NOT NULL,
      LFC     real,
      StatisticalSignificanceValue     real,
      SampleType     varchar(45),
      DetectionMethod     varchar(45),
      ValidationMethod     varchar(45),
      NumSubjects     int,
      DOIReference     varchar(256),
      RefDate     date,
      ChangeObserved     boolean,
      ObservedCardiotoxicity     real,
      StatisticalSignificanceMeaning     varchar(16),
      DetectionAgreesValidation     boolean,
      CardiotoxicityAppears     boolean,
      MinObservedPropPopulation     real,
      MaxObservedPropPopulation     real,
      StatisticalSignificanceSecValue     real,
      StatisticalMethod     varchar(32)
);


ALTER TABLE Study ADD PRIMARY KEY (IdStudy);



CREATE TABLE Subject (
      IdSubject     int NOT NULL,
      Age     int,
      Gender     tinyint,
      Ethnicity     varchar(16),
      IsCase     boolean,
      IdStudy     int NOT NULL
);


ALTER TABLE Subject ADD PRIMARY KEY (IdSubject);



CREATE TABLE PubOnDrug (
      DOIDrug     varchar(256) NOT NULL
);


ALTER TABLE PubOnDrug ADD PRIMARY KEY (DOIDrug);



CREATE TABLE CohortInfo (
      IdCohortInfo     int NOT NULL,
      MeanAge     real,
      MaleProportion     real,
      Country     varchar(2),
      StudyDesign     varchar(64),
      IdStudy     int NOT NULL
);


ALTER TABLE CohortInfo ADD PRIMARY KEY (IdCohortInfo);



CREATE TABLE CardiovascularSymptom (
      IdCardiovascularSymptom     varchar(256) NOT NULL
);


ALTER TABLE CardiovascularSymptom ADD PRIMARY KEY (IdCardiovascularSymptom);



CREATE TABLE GeneInEnsemble (
      IdGeneEnsemble     varchar(100) NOT NULL
);


ALTER TABLE GeneInEnsemble ADD PRIMARY KEY (IdGeneEnsemble);



CREATE TABLE Therapy (
      IdTherapy     varchar(128) NOT NULL
);


ALTER TABLE Therapy ADD PRIMARY KEY (IdTherapy);



CREATE TABLE transcribes_as (
      IdGeneEntrez     int NOT NULL,
      IdGeneTranscript     varchar(100) NOT NULL
);


ALTER TABLE transcribes_as ADD PRIMARY KEY (IdGeneEntrez,IdGeneTranscript);



CREATE TABLE variation_studied_by (
      IdVariation     varchar(45) NOT NULL,
      IdStudy     int NOT NULL
);


ALTER TABLE variation_studied_by ADD PRIMARY KEY (IdVariation,IdStudy);



CREATE TABLE pub_about_drug (
      IdDrugATC     varchar(8) NOT NULL,
      DOIDrug     varchar(256) NOT NULL
);


ALTER TABLE pub_about_drug ADD PRIMARY KEY (IdDrugATC,DOIDrug);



CREATE TABLE exhibit_symptom (
      IdStudy     int NOT NULL,
      IdCardiovascularSymptom     varchar(256) NOT NULL
);


ALTER TABLE exhibit_symptom ADD PRIMARY KEY (IdStudy,IdCardiovascularSymptom);



CREATE TABLE has_ensembleid (
      IdGeneEntrez     int NOT NULL,
      IdGeneEnsemble     varchar(100) NOT NULL
);


ALTER TABLE has_ensembleid ADD PRIMARY KEY (IdGeneEntrez,IdGeneEnsemble);



CREATE TABLE cancer_tr_used_drug (
      IdStudy     int NOT NULL,
      IdDrugATC     varchar(8) NOT NULL
);


ALTER TABLE cancer_tr_used_drug ADD PRIMARY KEY (IdStudy,IdDrugATC);



CREATE TABLE cancer_tr_used_therapy (
      IdStudy     int NOT NULL,
      IdTherapy     varchar(128) NOT NULL
);


ALTER TABLE cancer_tr_used_therapy ADD PRIMARY KEY (IdStudy,IdTherapy);



CREATE TABLE patients_affected_by (
      IdStudy     int NOT NULL,
      IdPathologyCD10     varchar(10) NOT NULL
);


ALTER TABLE patients_affected_by ADD PRIMARY KEY (IdStudy,IdPathologyCD10);









ALTER TABLE Synonym ADD FOREIGN KEY (IdGeneEntrez) REFERENCES Gene (IdGeneEntrez);




ALTER TABLE Variation ADD FOREIGN KEY (IdGeneEntrez) REFERENCES Gene (IdGeneEntrez);
ALTER TABLE Variation ADD FOREIGN KEY (VariationTypeName) REFERENCES VariationType (VariationTypeName);
ALTER TABLE Variation ADD FOREIGN KEY (IdGenomeFullPosition) REFERENCES GenomeFullPosition (IdGenomeFullPosition);




ALTER TABLE PanelKitName ADD FOREIGN KEY (IdVariation) REFERENCES Variation (IdVariation);






ALTER TABLE Subject ADD FOREIGN KEY (IdStudy) REFERENCES Study (IdStudy);




ALTER TABLE CohortInfo ADD FOREIGN KEY (IdStudy) REFERENCES Study (IdStudy);








ALTER TABLE transcribes_as ADD FOREIGN KEY (IdGeneEntrez) REFERENCES Gene (IdGeneEntrez);
ALTER TABLE transcribes_as ADD FOREIGN KEY (IdGeneTranscript) REFERENCES GeneTranscript (IdGeneTranscript);


ALTER TABLE variation_studied_by ADD FOREIGN KEY (IdVariation) REFERENCES Variation (IdVariation);
ALTER TABLE variation_studied_by ADD FOREIGN KEY (IdStudy) REFERENCES Study (IdStudy);


ALTER TABLE pub_about_drug ADD FOREIGN KEY (IdDrugATC) REFERENCES Drug (IdDrugATC);
ALTER TABLE pub_about_drug ADD FOREIGN KEY (DOIDrug) REFERENCES PubOnDrug (DOIDrug);


ALTER TABLE exhibit_symptom ADD FOREIGN KEY (IdStudy) REFERENCES Study (IdStudy);
ALTER TABLE exhibit_symptom ADD FOREIGN KEY (IdCardiovascularSymptom) REFERENCES CardiovascularSymptom (IdCardiovascularSymptom);


ALTER TABLE has_ensembleid ADD FOREIGN KEY (IdGeneEntrez) REFERENCES Gene (IdGeneEntrez);
ALTER TABLE has_ensembleid ADD FOREIGN KEY (IdGeneEnsemble) REFERENCES GeneInEnsemble (IdGeneEnsemble);


ALTER TABLE cancer_tr_used_drug ADD FOREIGN KEY (IdStudy) REFERENCES Study (IdStudy);
ALTER TABLE cancer_tr_used_drug ADD FOREIGN KEY (IdDrugATC) REFERENCES Drug (IdDrugATC);


ALTER TABLE cancer_tr_used_therapy ADD FOREIGN KEY (IdStudy) REFERENCES Study (IdStudy);
ALTER TABLE cancer_tr_used_therapy ADD FOREIGN KEY (IdTherapy) REFERENCES Therapy (IdTherapy);


ALTER TABLE patients_affected_by ADD FOREIGN KEY (IdStudy) REFERENCES Study (IdStudy);
ALTER TABLE patients_affected_by ADD FOREIGN KEY (IdPathologyCD10) REFERENCES Pathology (IdPathologyCD10);


