#!/usr/bin/perl
#
# Copyright (C) 2023 Juan Domingo (Juan.Domingo@uv.es)
#
# This script is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

use strict;
use warnings;

($#ARGV == -1) || die("Usage: $0 (this program does not take arguments, it just generates the FillVariationType.sql file)\n");

# These are the current variation types we manage. Others can be incorporated later as needed:
# SNV, SNP, InDel, CNV, abundance proteins, differential expression, DNA methylation, RNA methylation, histone modifications,
# Post-translational modification, metabolites. Only one of them can appear at any time.

my @vartypes=(
"SNV","SNP","InDel","CNV","abundance proteins","differential expression","DNA methylation","RNA methylation",
"histone modifications","Post-translational modification","metabolites"
);

open(G,">FillVariationType.sql");

foreach my $item(@vartypes)
{
 print G "INSERT INTO VariationType VALUES('$item');\n";
}


close(G);

